Bug 1442661

Summary: Gtkada3 contains wrong path to includes
Product: [Fedora] Fedora Reporter: Pavel Zhukov <pzhukov>
Component: GtkAda3Assignee: Björn Persson <bjorn>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 26CC: bjorn
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: GtkAda3-3.14.2-3.fc26 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-04-30 00:18:34 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Pavel Zhukov 2017-04-17 01:50:51 UTC
Description of problem:
   for Source_Dirs      use (Directories.Includedir & "/gtkada/gtkada.relocatable/");

while

# find usr/include/gtkada/ -name glib.ads
usr/include/gtkada/gtkada.relocatable/gtkada/glib.ads

Version-Release number of selected component (if applicable):
GtkAda3-3.14.2-2.fc26.x86_64.rpm

How reproducible:
100%

Steps to Reproduce:
1. Build gnatcoll with %{with_gtkada} enabled

Actual results:
https://kojipkgs.fedoraproject.org//work/tasks/8163/19008163/build.log

gnatcoll-vfs-gtkada.ads:24:06: file "glib.ads" not found
gnatcoll-vfs-gtkada.ads:24:06: "GNATCOLL.VFS.GTKADA (body)" depends on "GNATCOLL.VFS.GTKADA (spec)"

Additional info:
with path corrected gnatcoll (or gtk disabled) can be compiled without any issues

Comment 1 Björn Persson 2017-04-22 21:30:20 UTC
Thanks for the report. I wish Adacore would stop messing around with their silly directory layouts.

The fix is building now.

Comment 2 Fedora Update System 2017-04-22 22:20:55 UTC
GtkAda3-3.14.2-3.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-da11be4cf7

Comment 3 Fedora Update System 2017-04-25 21:27:16 UTC
GtkAda3-3.14.2-3.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-da11be4cf7

Comment 4 Fedora Update System 2017-04-30 00:18:34 UTC
GtkAda3-3.14.2-3.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.